# Vulpes
An ESP32-based radio orienteering controller.

## What
Radio orienteering, or amateur radio direction finding (ARDF) is a 
sport where people run around and look for hidden transmitters. One
necessary component is a controller on each transmitter that tells
it when and what to transmit. 

This is my attempt at a simple, easy-to-use controller with a low 
parts count. Rather than programming a microcontroller and/or 
using DIP switches, time delays, and sync cables, the ESP32 development
board lets you set up each controller using a web browser.

[need links here for ARDF resources]

## Hardware
I designed a simple custom printed circuit board (PCB) to make
assumbling this controller easy to do. The repo for schematic and
board design is here: [link to new repo].

Because the ESP32 doesn't track time when it is powered off, and
I wanted to avoid specific delays (e.g., push a button two hours
before an event starts), an additional real-time clock (RTC) is 
included. The RTC runs on a watch battery to track time when the
controller is not powered on.

## Software/Firmware
### General Settings

### Cycle Settings

### Network Settings
#### Access Point
When using as a wireless access point, the network SSID is "vulpes"
with no password. Navigate to http://192.168.0.1 to access webform.

## License
GNU GPLv3. See `LICENSE` file for details, and 
https://choosealicense.com/licenses/ if you're like me and don't
understand all of this stuff.

## Acknowledgments
Special thanks to [Mark Fickett](http://www.markfickett.com/) for his
[arduinomorse](https://github.com/markfickett/arduinomorse) library.